Loading...
Searching...
No Matches
peripheral::Device Struct Reference

A peripheral device is the collection of. More...

`import "PeripheralDeviceSlot.idl";`

## Public Attributes

DeviceID | deviceID
| device identification
vector< PosElement > | position
| Position within 1-wire topo.
string | packageClass
| physical package identifier
sensors::Sensor | device
| device reference

## Detailed Description

A peripheral device is the collection of.

- device identification
- device position
- a flag indicating actuator type
- device reference

Definition at line 39 of file PeripheralDeviceSlot.idl.

## Member Data Documentation

## device

sensors::Sensor peripheral::Device::device

device reference

Definition at line 43 of file PeripheralDeviceSlot.idl.

## deviceID

DeviceID peripheral::Device::deviceID

device identification

Definition at line 40 of file PeripheralDeviceSlot.idl.

## packageClass

string peripheral::Device::packageClass

physical package identifier

Definition at line 42 of file PeripheralDeviceSlot.idl.

## position

vector<PosElement> peripheral::Device::position

Position within 1-wire topo.

Definition at line 41 of file PeripheralDeviceSlot.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl